LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 05-08-2005, 12:18 PM   #1
Ezzy
Member
 
Registered: Apr 2005
Posts: 33

Rep: Reputation: 15
Thumbs down fglrx --> Invalid module format


Today I discovered that my ATI-driver fglrx is not loaded properly. Xdm.log gives the following error:
FATAL: Error inserting fglrx (/lib/modules/2.6.11-gentoo-r6/video/fglrx.ko): Invalid module format

Also a manual laod via modprobe doesn't work. I have unmerged and merged the driver again but with the same result.

Looking in dmesg I found out that there is problem around gcc:
fglrx: version magic '2.6.11-gentoo-r6 PENTIUM4 gcc-3.4' should be '2.6.11-gentoo-r6 PENTIUM4 gcc-3.3'

A few days ago I have updated gcc to version 3.4 could this have created the problem? Any suggestions to solve this?
 
Old 05-10-2005, 02:16 AM   #2
slackie1000
Senior Member
 
Registered: Dec 2003
Location: Brasil
Distribution: Arch
Posts: 1,037

Rep: Reputation: 45
Re: fglrx --> Invalid module format

hi there,

Quote:
Originally posted by Ezzy
Looking in dmesg I found out that there is problem around gcc:
fglrx: version magic '2.6.11-gentoo-r6 PENTIUM4 gcc-3.4' should be '2.6.11-gentoo-r6 PENTIUM4 gcc-3.3'
yep.. looks like this is the problem...
did you try downgrading your gcc?? did you recompile the kernel after upgrading gcc??? some thing must be checked...
do you know the option VIDEO_CARDS that you can use in your make.conf file??

regards

slackie1000
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Gentoo says Invalid Module Format baldy3105 Linux - General 8 08-16-2007 05:46 AM
Invalid module format king111 Linux - Newbie 4 07-19-2005 01:14 AM
fglrx - "Invalid module format" Carl-Fredrik Linux - Hardware 1 10-29-2004 10:55 AM
'Invalid module format' loading simple module on Suse Linux Professional 9.1 rocketdude Linux - Distributions 3 07-27-2004 11:40 PM
invalid module format powadha Slackware 5 12-25-2003 04:19 PM


All times are GMT -5. The time now is 10:51 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration